//Sensor humedad suelo modo análogo

const int sensorPin = A0; //Define el pin análogo 0 del Arduino como pin de conexión del sensor
const int ledPin = 8; //Define el pin digital 8 del Arduino como pin de conexión del LED
 
//configuraciones globales
void setup() { //Sintaxis para iniciar las configuraciones
   Serial.begin(9600); //Se inicia el monitor serial a 9600 baudios/s
   pinMode(sensorPin,INPUT); //Se define el pin de conexión del sensor como entrada
   pinMode(ledPin,OUTPUT); //Se define el pin de conexión del LED como salida
}

//Comienza la iteración del programa
void loop() //Sintaxis para inciar la iteración
{
   int humedad = analogRead(sensorPin); //Se guarda en la variable como entero (integer) el valor leído en el pin donde se conectó el sensor
   int humedadPorcentual = -0.0977 * humedad + 100; //Convierte el valor leído en un valor porcentual
   
   Serial.println(humedadPorcentual); //Muestra valor de la variable en el monitor serial
   //Serial.println(String (humedadPorcentual) + "%"); //Utilizar esta línea en vez de la anterior si desea agrega el signo % al final del valor

//Comienza ciclo condicional
   if(humedad < 400) { //Si la variable guardó un valor bajo menor a 400
    digitalWrite(ledPin,HIGH); //Se activa con valor alto (cercano 5V) el pin donde se conectó el led
   }
   else { //Si no se cumple lo anterior
    digitalWrite(ledPin,LOW); //Se activa con valor bajo (cercano 0V) el pin donde se conectó el led
   }
   delay(100); //Pausa de 100 milisegundos (0.1 segundos) antes de comenzar una nueva iteración del programa
}
