//Sensor ultrasonido con librería NewPing

#include <NewPing.h> 
//Incluye las funciones de la librería NewPing. 
//Mediante NewPing sonar(echoPin,triggerPin,maxDistancia) se configuran los tres parámetros necesarios.
//Mediante sonar.ping_cm() se calcula la distancia en cm detectada por el sensor
 
const int echoPin = 11; //Define el pin digital 11 del Arduino como pin de conexión echo
const int triggerPin = 12; //Define el pin digital 12 del Arduino como pin de conexión trigger
const int MaxDistance = 200; // Define la distancia máxima a medir en 200cm (2m)
 
NewPing sonar(triggerPin, echoPin, MaxDistance); //Se entregan los parámetros de triggerPin, echoPin y MaxDistance a la función

//configuraciones globales
void setup() { //Sintaxis para iniciar las configuraciones
  Serial.begin(9600); //Inicia el monitor serial a 9600 baudios/s
}


//Comienza la iteración del programa
void loop() { //Sintaxis para inciar la iteración
  
//Comienza ciclo condicional
  if (sonar.ping_cm()>= 50){ //Si la distancia en cm es mayor o igual a 50cm
    Serial.println("No vas a chocar"); //Mostrar frase en el monitor serial
  }
  else { //Si no se cumple lo anterior
      //Comienza nuevo ciclo condicional
      if (sonar.ping_cm()>=10){ //Si la distancia en cm es mayor o igual a 10cm
        Serial.println("Estás muy cerca"); //Mostrar frase en el monitor serial
      }
      else { //Si no se cumple lo anterior
        Serial.println("Estás a punto de chocar"); //mostrar frase en el monitor serial
      }
  }
  delay(500); //Pausa de 100 milisegundos (0.1 segundos) antes de comenzar una nueva iteración del programa
}
