//Sensor de sonido con encendido de un LED
//El siguiente programa enciende un LED al detectar un sonido (aplauso) y apaga el LED al detectar nuevamente un sonido (otro aplauso).

const int ledPin = 8; //Define el pin digital 8 del Arduino como pin de conexión del LED 
const int sensorPin = 9; //Define el pin digital 9 del Arduino como pin de conexión del sensor
int state = 0; //Se define una variable de estado como número entero (integer) inciada en 0

//configuraciones globales
void setup() { //Sintaxis para iniciar las configuraciones
  pinMode(sensorPin,INPUT); //Se define el pin de conexión del sensor como entrada
  pinMode(ledPin,OUTPUT); //Se define el pin de conexión del LED como salida
}

//Comienza la iteración del programa
void loop(){ //Sintaxis para inciar la iteración
  int value = 0; //Se define una variable como número entero (integer) inciada en 0
  value = digitalRead(sensorPin); //Se guarda en la variable el valor leído en el pin donde se conectó el sensor

//Comienza ciclo condicional
  if (value == HIGH) { //Si la variable guardó un valor alto (detectó sonido)
    if (state == 0) { //Y Si el estado inicial es 0 (LED OFF)
    digitalWrite(ledPin,HIGH); //Se activa con valor alto (cercano 5V) el pin donde se conectó el led
    state = 1; //Se cambia el estado a 1 (LED ON)
    }
    else { //Si no se cumple lo anterior, es decir el estado inicial era 1
    digitalWrite(ledPin,LOW); //Se activa con valor bajo (cercano 0V) el pin donde se conectó el led
    state = 0; //Se cambia el estado a 0 (LED OFF)
    }
  }
  
  delay(100); //Pausa de 100 milisegundos (0.1 segundos) antes de comenzar una nueva iteración del programa
}
